public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/geany-plugins/
Date: Wed, 28 Oct 2020 07:51:22 +0000 (UTC)	[thread overview]
Message-ID: <1603871468.0f1ad151249a7f8f098a3c021c3b666ee70cf547.juippis@gentoo> (raw)

commit:     0f1ad151249a7f8f098a3c021c3b666ee70cf547
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Mon Oct 26 19:20:35 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Oct 28 07:51:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f1ad151

dev-util/geany-plugins: version bump to 1.37

gtk3 USE flag replaced with gtk2 to align with dev-util/geany-1.37.

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/18043
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-util/geany-plugins/Manifest                  |   1 +
 dev-util/geany-plugins/geany-plugins-1.37.ebuild | 124 +++++++++++++++++++++++
 dev-util/geany-plugins/metadata.xml              |   1 +
 3 files changed, 126 insertions(+)

diff --git a/dev-util/geany-plugins/Manifest b/dev-util/geany-plugins/Manifest
index 5343c304284..1b5562574dc 100644
--- a/dev-util/geany-plugins/Manifest
+++ b/dev-util/geany-plugins/Manifest
@@ -1 +1,2 @@
 DIST geany-plugins-1.36.tar.gz 4693634 BLAKE2B a7c319a77cb92a55a0a53063ab75d9375f7d2a0e419eb3e0acd063b8fda4b4d9798c103ce53b80090c73bd86804c58f815aaf8d0eecc0d7fbf7ad1c8470cb9b5 SHA512 b3e58b42432d17c27289fa20d10b833a2d7f5d8c72b51abe5b1ebdabcb952b18e0984b15ef6ac9753102d839f3174f28798269e1e94bf032bdaa189e98d72b2d
+DIST geany-plugins-1.37.tar.gz 4711239 BLAKE2B 7f4fd121f6f0784aecf2dcc04d208c89e502b23debcbc40889f93c1421e414c33c8634376cfe01e91c370f70818d33b373b88698f5cb0ee23dff5edee9d781cf SHA512 47f8d7170593114c773067a8132c724471cbf881582a0a739da578ca42533783d8ecbccb04e039f2990ceed440bbd2d94e4be4a28e336c7f74b8e11a15ba4ce9

diff --git a/dev-util/geany-plugins/geany-plugins-1.37.ebuild b/dev-util/geany-plugins/geany-plugins-1.37.ebuild
new file mode 100644
index 00000000000..a1018068f12
--- /dev/null
+++ b/dev-util/geany-plugins/geany-plugins-1.37.ebuild
@@ -0,0 +1,124 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A collection of different plugins for Geany"
+HOMEPAGE="https://plugins.geany.org"
+SRC_URI="https://plugins.geany.org/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="gtk2 ctags debugger enchant git gpg gtkspell lua markdown nls pretty-printer scope soup workbench"
+REQUIRED_USE="gtk2? ( !markdown )"
+
+DEPEND="
+	dev-libs/glib:2
+	>=dev-util/geany-1.37[gtk2=]
+	!gtk2? ( x11-libs/gtk+:3 )
+	gtk2? ( x11-libs/gtk+:2 )
+	ctags? ( dev-util/ctags )
+	debugger? (
+		!gtk2? ( x11-libs/vte:2.91 )
+		gtk2? ( x11-libs/vte:0 )
+		)
+	enchant? ( app-text/enchant:= )
+	git? ( dev-libs/libgit2:= )
+	gpg? ( app-crypt/gpgme:1= )
+	gtkspell? (
+		!gtk2? ( app-text/gtkspell:3= )
+		gtk2? ( app-text/gtkspell:2 )
+		)
+	lua? ( dev-lang/lua:0= )
+	markdown? (
+		app-text/discount
+		net-libs/webkit-gtk:4
+		)
+	pretty-printer? ( dev-libs/libxml2:2 )
+	scope? (
+		!gtk2? ( x11-libs/vte:2.91 )
+		gtk2? ( x11-libs/vte:0 )
+		)
+	soup? ( net-libs/libsoup:2.4 )
+	workbench? ( dev-libs/libgit2:= )
+"
+RDEPEND="${DEPEND}
+	scope? ( sys-devel/gdb )
+"
+BDEPEND="virtual/pkgconfig
+	nls? ( sys-devel/gettext )
+"
+
+src_configure() {
+	local myeconfargs=(
+		--disable-cppcheck
+		--disable-extra-c-warnings
+		$(use_enable nls)
+		--enable-utilslib
+		# Plugins
+		--enable-addons
+		--enable-autoclose
+		--enable-automark
+		--enable-codenav
+		--enable-commander
+		--enable-defineformat
+		--enable-geanyextrasel
+		--enable-geanyinsertnum
+		--enable-geanymacro
+		--enable-geanyminiscript
+		--enable-geanynumberedbookmarks
+		--enable-geanyprj
+		--enable-geanyvc $(use_enable gtkspell)
+		--enable-keyrecord
+		--enable-latex
+		--enable-lineoperations
+		--enable-lipsum
+		--enable-overview
+		--enable-pairtaghighlighter
+		--enable-pohelper
+		--enable-projectorganizer
+		--enable-sendmail
+		--enable-shiftcolumn
+		--enable-tableconvert
+		--enable-treebrowser
+		--enable-vimode
+		--enable-xmlsnippets
+		$(use_enable debugger)
+		$(use_enable ctags geanyctags)
+		$(use_enable gtk2 geanydoc)
+		$(use_enable lua geanylua)
+		$(use_enable gpg geanypg)
+		$(use_enable soup geniuspaste)
+		$(use_enable git gitchangebar)
+		$(use_enable markdown) --disable-peg-markdown # using app-text/discount instead
+		$(use_enable pretty-printer)
+		$(use_enable scope)
+		$(use_enable enchant spellcheck)
+		# Having updatechecker… when you’re using a package manager?
+		$(use_enable soup updatechecker)
+		$(use_enable workbench)
+		# GeanyGenDoc requires ctpl which isn’t yet in portage
+		--disable-geanygendoc
+		# Require obsolete and vulnerable webkit-gtk versions
+		--disable-devhelp
+		--disable-webhelper
+		# GTK 2 only
+		--disable-geanypy
+		--disable-multiterm
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+
+	find "${D}" -name '*.la' -delete || die
+
+	# make installs all translations if LINGUAS is empty
+	if [[ -z "${LINGUAS-x}" ]]; then
+		rm -r "${ED}/usr/share/locale/" || die
+	fi
+}

diff --git a/dev-util/geany-plugins/metadata.xml b/dev-util/geany-plugins/metadata.xml
index 6a11d0ae324..db5b9d2b0d4 100644
--- a/dev-util/geany-plugins/metadata.xml
+++ b/dev-util/geany-plugins/metadata.xml
@@ -10,6 +10,7 @@
 		<name>Gentoo Proxy Maintainers Project</name>
 	</maintainer>
 	<use>
+		<flag name="gtk2">Use GTK+2 instead of GTK+3</flag>
 		<flag name="gtk3">Use GTK+3 instead of GTK+2</flag>
 		<flag name="ctags">Enable ctags plugin</flag>
 		<flag name="debugger">Enable the debugger plugin which interfaces with <pkg>sys-devel/gdb</pkg></flag>


             reply	other threads:[~2020-10-28  7:51 UTC|newest]

Thread overview: 97+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-28  7:51 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-21 19:38 [gentoo-commits] repo/gentoo:master commit in: dev-util/geany-plugins/ Sam James
2024-10-31 21:04 Andreas K. Hüttel
2024-03-13 21:42 Sam James
2024-03-02 14:03 Arthur Zamarin
2024-03-02 13:08 Arthur Zamarin
2024-02-17 21:42 Jakov Smolić
2024-02-17 21:17 Sam James
2023-10-27  2:59 Sam James
2023-09-11 11:41 Arthur Zamarin
2023-09-10 20:19 Sam James
2023-09-10 20:19 Sam James
2023-09-10 20:19 Sam James
2023-09-10 19:47 Arthur Zamarin
2023-01-30 15:25 Ben Kohler
2022-11-18 19:42 Arthur Zamarin
2022-11-17  1:06 Sam James
2022-10-28 13:21 Sam James
2022-10-28  3:44 Jakov Smolić
2022-10-27  8:35 Joonas Niilola
2022-10-25 12:50 Sam James
2022-10-24 16:41 Arthur Zamarin
2022-10-24 16:41 Arthur Zamarin
2022-06-16  9:04 Jakov Smolić
2022-06-07  8:26 Jakov Smolić
2022-06-07  7:27 Sam James
2022-06-07  6:34 Agostino Sarubbo
2022-06-06 21:19 Jakov Smolić
2022-02-20  0:31 Sam James
2022-02-16 22:11 David Seifert
2021-11-12  1:36 Sam James
2021-11-12  1:36 Sam James
2021-03-15  0:51 Sam James
2021-03-13  7:07 Joonas Niilola
2021-03-12 19:27 Sergei Trofimovich
2021-03-12 18:32 Sam James
2021-03-11 13:30 Sam James
2021-01-24  3:52 Sam James
2021-01-23 22:51 Sam James
2020-04-14 19:17 Andreas Sturmlechner
2020-04-13 22:57 Sergei Trofimovich
2020-04-13 16:53 Agostino Sarubbo
2020-04-13 14:52 Agostino Sarubbo
2020-04-13 14:50 Agostino Sarubbo
2020-04-13 14:49 Agostino Sarubbo
2020-04-13 14:48 Agostino Sarubbo
2020-04-12 14:35 Andreas Sturmlechner
2020-04-11 13:30 Sergei Trofimovich
2020-04-10 20:25 Andreas Sturmlechner
2020-02-02 19:35 Mart Raudsepp
2019-12-28 15:56 Mikle Kolyada
2019-12-12 16:00 Agostino Sarubbo
2019-12-12 13:52 Agostino Sarubbo
2019-12-10 19:47 Sergei Trofimovich
2019-10-04  5:39 Joonas Niilola
2019-05-23 13:09 Mikle Kolyada
2019-05-15 12:18 Andreas Sturmlechner
2019-05-12 20:56 Thomas Deutschmann
2019-05-11 11:18 Mikle Kolyada
2019-05-03 20:56 Sergei Trofimovich
2019-04-20 19:07 Lars Wendler
2019-01-15 23:13 Patrice Clement
2018-12-16 22:52 Lars Wendler
2018-03-05  8:58 Lars Wendler
2018-03-04 21:29 Michał Górny
2017-12-02 22:53 Patrice Clement
2017-11-19 22:01 Lars Wendler
2017-11-13 22:18 Sergei Trofimovich
2017-10-17 10:08 Sergei Trofimovich
2017-10-16 22:42 Sergei Trofimovich
2017-08-19  0:31 Thomas Deutschmann
2017-07-26 19:51 Markus Meier
2017-07-21  7:19 Sergei Trofimovich
2017-07-20 21:37 Patrice Clement
2017-07-19 18:06 Tobias Klausmann
2017-07-19 16:31 Patrice Clement
2017-03-21 23:37 Patrice Clement
2017-01-20 14:21 David Seifert
2017-01-20 12:01 Lars Wendler
2017-01-19 12:31 Tobias Klausmann
2017-01-02 19:37 Markus Meier
2016-11-16 20:33 Pacho Ramos
2016-11-09  9:45 Lars Wendler
2016-11-09  9:34 Pacho Ramos
2016-08-18 15:44 Lars Wendler
2016-08-18 15:38 Lars Wendler
2016-08-18 15:38 Lars Wendler
2016-08-07  7:25 Pacho Ramos
2016-05-25  9:29 Tobias Klausmann
2016-04-05  5:55 Jeroen Roovers
2016-04-01 19:03 Markus Meier
2016-03-20 12:24 Agostino Sarubbo
2016-03-19 16:32 Agostino Sarubbo
2016-01-03 17:24 Manuel Rüger
2015-09-26  4:16 Nathan Phillip Brink
2015-09-26  3:48 Nathan Phillip Brink
2015-08-09 23:54 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1603871468.0f1ad151249a7f8f098a3c021c3b666ee70cf547.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox